package utils

import (
	"penahub.gitlab.yandexcloud.net/pena-services/customer/internal/errors"
	"penahub.gitlab.yandexcloud.net/pena-services/customer/internal/models"
)

func ValidateGetPaymentLinkBody(request *models.GetPaymentLinkBody) errors.Error {
	if request == nil {
		return errors.NewWithMessage("request body is empty", errors.ErrInvalidArgs)
	}

	switch request.Type {
	case models.PaymentTypeBankCard:
		return validateBankcardPayment(request)
	default:
		return nil
	}
}

func validateMobilePayment(request *models.GetPaymentLinkBody) errors.Error {
	return nil
}

func validateLoginPayment(request *models.GetPaymentLinkBody) errors.Error {
	return nil
}

func validateBankcardPayment(request *models.GetPaymentLinkBody) errors.Error {
	return nil
}
